public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/kexec-tools/
Date: Tue, 21 Jun 2022 17:40:35 +0000 (UTC)	[thread overview]
Message-ID: <1655833227.fd596919164d57a198e93ae4f94d098138f16ec7.mattst88@gentoo> (raw)

commit:     fd596919164d57a198e93ae4f94d098138f16ec7
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 21 17:24:42 2022 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Tue Jun 21 17:40:27 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fd596919

sys-apps/kexec-tools: Version bump to 2.0.24

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 sys-apps/kexec-tools/Manifest                  |   1 +
 sys-apps/kexec-tools/kexec-tools-2.0.24.ebuild | 124 +++++++++++++++++++++++++
 2 files changed, 125 insertions(+)

diff --git a/sys-apps/kexec-tools/Manifest b/sys-apps/kexec-tools/Manifest
index b07611344429..3f1cd08e7ece 100644
--- a/sys-apps/kexec-tools/Manifest
+++ b/sys-apps/kexec-tools/Manifest
@@ -1,2 +1,3 @@
 DIST kexec-tools-2.0.22.tar.xz 303564 BLAKE2B 977c741eabf9b6b882550713ba59b18289b4f997fb382e96338efce6d04a9390fea952fc46ca72fd0a0b782261841ab2002da84b1819f955e63996eac900b0f7 SHA512 7580860f272eee5af52139809f12961e5a5d3a65f4e191183ca9c845410425d25818945ac14ed04a60e6ce474dc2656fc6a14041177b0bf703f450820c7d6aba
 DIST kexec-tools-2.0.23.tar.xz 304024 BLAKE2B 0150985093dc0012d3870c127ac5eab81d4cc839c0a79ff20224d1a409462a194d7e304f54ed8f0952e4d325dbff11bcbe1565b2c57c45c212302810dc06ed62 SHA512 b6e3b967cacc31c434b185d25da4d53c822ae4bbcec26ef9d6cb171f294fdcc80913d381e686a0a41e025187835f4dc088052ff88efe75a021d7624c8b1a1ed8
+DIST kexec-tools-2.0.24.tar.xz 303808 BLAKE2B 8188602f1b843c1dccc0307131f8c9ec0426c6cb3de898040352c1fed5f6d4bd7c58a0c2bf54290b91c8fe3401180df682959ee6c41693d07acc199c087c7db2 SHA512 ef7cf78246e2d729d81a3649791a5a23c385353cc75cbe8ef279616329fdaccc876d614c7f51e1456822a13a11520296070d9897467d24310399909e049c3822

diff --git a/sys-apps/kexec-tools/kexec-tools-2.0.24.ebuild b/sys-apps/kexec-tools/kexec-tools-2.0.24.ebuild
new file mode 100644
index 000000000000..5723fa802401
--- /dev/null
+++ b/sys-apps/kexec-tools/kexec-tools-2.0.24.ebuild
@@ -0,0 +1,124 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit libtool linux-info systemd
+
+if [[ ${PV} == "9999" ]] ; then
+	inherit git-r3 autotools
+	EGIT_REPO_URI="https://git.kernel.org/pub/scm/utils/kernel/kexec/kexec-tools.git"
+else
+	SRC_URI="https://www.kernel.org/pub/linux/utils/kernel/kexec/${P/_/-}.tar.xz"
+	[[ "${PV}" == *_rc* ]] || \
+	KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+fi
+
+DESCRIPTION="Load another kernel from the currently executing Linux kernel"
+HOMEPAGE="https://kernel.org/pub/linux/utils/kernel/kexec/"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="booke lzma xen zlib"
+
+REQUIRED_USE="lzma? ( zlib )"
+
+DEPEND="
+	lzma? ( app-arch/xz-utils )
+	zlib? ( sys-libs/zlib )"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${P/_/-}"
+
+CONFIG_CHECK="~KEXEC"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-2.0.4-disable-kexec-test.patch
+	"${FILESDIR}"/${PN}-2.0.4-out-of-source.patch
+)
+
+pkg_setup() {
+	# GNU Make's $(COMPILE.S) passes ASFLAGS to $(CCAS), CCAS=$(CC)
+	export ASFLAGS="${CCASFLAGS}"
+}
+
+src_prepare() {
+	default
+
+	# Append PURGATORY_EXTRA_CFLAGS flags set by configure, instead of overriding them completely.
+	sed -e "/^PURGATORY_EXTRA_CFLAGS =/s/=/+=/" -i Makefile.in || die
+
+	if [[ "${PV}" == 9999 ]] ; then
+		eautoreconf
+	else
+		elibtoolize
+	fi
+}
+
+src_configure() {
+	local myeconfargs=(
+		$(use_with booke)
+		$(use_with lzma)
+		$(use_with xen)
+		$(use_with zlib)
+	)
+	econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+	# Respect CFLAGS for purgatory.
+	# purgatory/Makefile uses PURGATORY_EXTRA_CFLAGS variable.
+	# -mfunction-return=thunk and -mindirect-branch=thunk conflict with
+	# -mcmodel=large which is added by build system.
+	# Replace them with -mfunction-return=thunk-inline and -mindirect-branch=thunk-inline.
+	local flag flags=()
+	for flag in ${CFLAGS}; do
+		[[ ${flag} == -mfunction-return=thunk ]] && flag="-mfunction-return=thunk-inline"
+		[[ ${flag} == -mindirect-branch=thunk ]] && flag="-mindirect-branch=thunk-inline"
+		flags+=("${flag}")
+	done
+	local -x PURGATORY_EXTRA_CFLAGS="${flags[*]}"
+
+	default
+}
+
+src_install() {
+	default
+
+	dodoc "${FILESDIR}"/README.Gentoo
+
+	newinitd "${FILESDIR}"/kexec-r2.init kexec
+	newconfd "${FILESDIR}"/kexec.conf-2.0.4 kexec
+
+	insinto /etc
+	doins "${FILESDIR}"/kexec.conf
+
+	insinto /etc/kernel/postinst.d
+	doins "${FILESDIR}"/90_kexec
+
+	systemd_dounit "${FILESDIR}"/kexec.service
+}
+
+pkg_postinst() {
+	if systemd_is_booted || has_version sys-apps/systemd; then
+		elog "For systemd support the new config file is"
+		elog "   /etc/kexec.conf"
+		elog "Please adopt it to your needs as there is no autoconfig anymore"
+	fi
+
+	local n_root_args=$(grep -o -- '\<root=' /proc/cmdline 2>/dev/null | wc -l)
+	local has_rootpart_set=no
+	if [[ -f "${EROOT}/etc/conf.d/kexec" ]]; then
+		if grep -q -E -- '^ROOTPART=' "${EROOT}/etc/conf.d/kexec" 2>/dev/null; then
+			has_rootpart_set=yes
+		fi
+	fi
+
+	if [[ ${n_root_args} -gt 1 && "${has_rootpart_set}" == "no"  ]]; then
+		ewarn "WARNING: Multiple root arguments (root=) on kernel command-line detected!"
+		ewarn "This was probably caused by a previous version of ${PN}."
+		ewarn "Please reboot system once *without* kexec to avoid boot problems"
+		ewarn "in case running system and initramfs do not agree on detected"
+		ewarn "root device name!"
+	fi
+}


             reply	other threads:[~2022-06-21 17:40 UTC|newest]

Thread overview: 55+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-06-21 17:40 Matt Turner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-19 13:06 [gentoo-commits] repo/gentoo:master commit in: sys-apps/kexec-tools/ Yixun Lan
2024-07-19 13:06 Yixun Lan
2024-07-19 13:06 Yixun Lan
2024-05-04 18:08 Sam James
2024-05-04 18:08 Sam James
2024-03-10 13:50 Sam James
2024-03-10 13:50 Sam James
2024-03-10 13:50 Sam James
2024-02-02  6:28 Andrew Ammerlaan
2023-06-28  7:50 Sam James
2023-03-04  9:46 Arthur Zamarin
2023-03-04  7:51 Arthur Zamarin
2022-10-19 19:22 Sam James
2022-09-23  2:14 Sam James
2022-04-22 17:54 Sam James
2021-11-09 17:16 Lars Wendler
2021-09-04 17:35 David Seifert
2021-08-11  0:02 Sam James
2021-08-10 15:36 Agostino Sarubbo
2021-05-13 16:54 Sam James
2021-05-13 16:18 Sam James
2021-05-03  7:52 Lars Wendler
2020-12-19 20:56 Lars Wendler
2020-08-10  9:13 Thomas Deutschmann
2020-08-05  1:56 Thomas Deutschmann
2020-05-04 16:01 Thomas Deutschmann
2020-05-04 15:15 Agostino Sarubbo
2020-05-04 13:29 Agostino Sarubbo
2020-05-03 19:01 Thomas Deutschmann
2019-10-15 13:31 Jeroen Roovers
2019-07-28 11:24 Mikle Kolyada
2019-07-28 11:24 Mikle Kolyada
2019-07-26 10:01 Lars Wendler
2019-07-26 10:01 Lars Wendler
2019-07-12 15:26 Lars Wendler
2019-07-12 15:26 Lars Wendler
2019-07-12 15:26 Lars Wendler
2019-03-05  9:28 Lars Wendler
2019-03-05  9:28 Lars Wendler
2018-11-06 11:28 Thomas Deutschmann
2018-11-06 11:28 Thomas Deutschmann
2018-08-30  8:47 Mikle Kolyada
2018-08-29  1:07 Thomas Deutschmann
2018-05-01 20:10 Lars Wendler
2018-01-26  0:28 Patrick McLean
2017-11-23 20:48 Thomas Deutschmann
2017-10-19  9:15 Lars Wendler
2017-08-29 21:39 Thomas Deutschmann
2017-08-25 13:31 Mikle Kolyada
2017-08-01 15:10 Lars Wendler
2017-08-01 15:10 Lars Wendler
2017-02-21 21:05 Robin H. Johnson
2016-12-23 14:06 Lars Wendler
2016-01-22  8:56 Michael Palimaka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1655833227.fd596919164d57a198e93ae4f94d098138f16ec7.mattst88@gentoo \
    --to=mattst88@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox